package org.processmining.traceclusteringfsm.models;

import org.processmining.traceclusteringfsm.algorithms.FSPAlgorithm;

public class Parameter {

	private int kSampleSize;
	private double minSupp;
	private FSPAlgorithm alg;
	private String dataName;

	/**
	 * Create a default setting
	 */
//	public Parameter() {
//		kSampleSize = 10;
//		minSupp = 0.9;
//		alg = 
//	}

	public void setK(int i) {
		kSampleSize = i;
	}

	public int getK() {
		return kSampleSize;
	}

	public float getMinSupp() {
		return (float) minSupp;
	}

	public void setMinSupp(double minSupp) {
		this.minSupp = minSupp;
	}

	public FSPAlgorithm getAlg() {
		return alg;
	}

	public void setAlg(FSPAlgorithm alg) {
		this.alg = alg;
	}


	public String getDataName() {
		return dataName;
	}

	public void setDataName(String dataName) {
		this.dataName = dataName;
	}
}
